/*
Example for Buzz_2 Click

    Date          : jul 2017.
    Author        : MikroE Team

Test configuration AVR :
    
    MCU             : ATMEGA32
    Dev. Board      : EasyAVR v7 
    SW              : mikroC PRO for AVR v7.0.0

Description :

  A simple example of using BUZZ 2 click board, which plays Imperial March using Sound library

*/

// notes
#define cS  261
#define dS  294
#define e   329
#define fS  349
#define g   391
#define gS  415
#define aHa 440
#define aS  455
#define b   466
#define cH  523
#define cSH 554
#define dH  587
#define dSH 622
#define eH  659
#define fH  698
#define fSH 740
#define gH  784
#define gSH 830
#define aH  880

void systemInit()
{

}

void Buzz_2_Init()
{ 
    Sound_Init(&PORTD, 4); 
    delay_ms(500);
}

void Buzz_2_Task()
{
    Sound_Play(aHa, 500);
    Sound_Play(aHa, 500);    
    Sound_Play(aHa, 500);
    Sound_Play(fS, 350);
    Sound_Play(cH, 150);  
    Sound_Play(aHa, 500);
    Sound_Play(fS, 350);
    Sound_Play(cH, 150);
    Sound_Play(aHa, 650);

    delay_ms(500);

    Sound_Play(eH, 500);
    Sound_Play(eH, 500);
    Sound_Play(eH, 500);  
    Sound_Play(fH, 350);
    Sound_Play(cH, 150);
    Sound_Play(gS, 500);
    Sound_Play(fS, 350);
    Sound_Play(cH, 150);
    Sound_Play(aHa, 650);

    delay_ms(500);

    Sound_Play(aH, 500);
    Sound_Play(aHa, 300);
    Sound_Play(aHa, 150);
    Sound_Play(aH, 500);
    Sound_Play(gSH, 325);
    Sound_Play(gH, 175);
    Sound_Play(fSH, 125);
    Sound_Play(fH, 125);    
    Sound_Play(fSH, 250);

    delay_ms(325);

    Sound_Play(aS, 250);
    Sound_Play(dSH, 500);
    Sound_Play(dH, 325);  
    Sound_Play(cSH, 175);  
    Sound_Play(cH, 125);  
    Sound_Play(b, 125);  
    Sound_Play(cH, 250);  

    delay_ms(350);

    Sound_Play(fS, 250);
    Sound_Play(gS, 500);
    Sound_Play(fS, 350);
    Sound_Play(aHa, 125);
    Sound_Play(cH, 500);
    Sound_Play(aHa, 375);
    Sound_Play(cH, 125);
    Sound_Play(eH, 650);

    delay_ms(500);

    Sound_Play(aH, 500);
    Sound_Play(aHa, 300);
    Sound_Play(aHa, 150);
    Sound_Play(aH, 500);
    Sound_Play(gSH, 325);
    Sound_Play(gH, 175);
    Sound_Play(fSH, 125);
    Sound_Play(fH, 125);
    Sound_Play(fSH, 250);

    delay_ms(325);

    Sound_Play(aS, 250);
    Sound_Play(dSH, 500);
    Sound_Play(dH, 325);
    Sound_Play(cSH, 175);
    Sound_Play(cH, 125);
    Sound_Play(b, 125);
    Sound_Play(cH, 250);

    delay_ms(350);

    Sound_Play(fS, 250);
    Sound_Play(gS, 500);
    Sound_Play(fS, 375);
    Sound_Play(cH, 125);
    Sound_Play(aHa, 500);
    Sound_Play(fS, 375);
    Sound_Play(cH, 125);
    Sound_Play(aHa, 650);

    delay_ms(650);

}

void main()
{
    systemInit();
    Buzz_2_Init();
    while( 1 )
    {
            Buzz_2_Task();
    }
}